package fr.unistra.sil.erp.back.service;

import java.math.BigDecimal;

/**
 *
 * @author antoine.beauvais
 */
public class StoreItemRequest {
    /**
     * The product's name.
     */
    private final String name;

    /**
     * The product's regular price.
     */
    private final BigDecimal price;

    /**
     * The product's price for subscribers.
     */
    private final BigDecimal subscriberPrice;

    /**
     * This product's category identifier.
     */
    private final int category;

    /**
     *
     * @param name
     * @param price
     * @param subscriberPrice
     * @param category
     */
    public StoreItemRequest(String name, BigDecimal price, BigDecimal subscriberPrice, int category) {
        this.name = name;
        this.price = price;
        this.subscriberPrice = subscriberPrice;
        this.category = category;
    }

    /**
     *
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     *
     * @return
     */
    public BigDecimal getPrice() {
        return price;
    }

    /**
     *
     * @return
     */
    public BigDecimal getSubscriberPrice() {
        return subscriberPrice;
    }

    /**
     *
     * @return
     */
    public int getCategory() {
        return category;
    }
}
